## vcr.py 1.11.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/vcrpy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/vcrpy.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/vcrpy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/vcrpy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## vcr.py 1.7.3

=== debian/changelog ===
vcr.py (1.7.3-1) unstable; urgency=medium

  * New upstream release.
  * deb/rules: don't run tests on Debian (Closes: #795940), but on Neurodebian.

 -- Daniel Stender <debian@danielstender.com>  Wed, 07 Oct 2015 22:53:50 +0200

vcr.py (1.6.1-1) unstable; urgency=medium

  * Initial release (Closes: #792700).

 -- Daniel Stender <debian@danielstender.com>  Sat, 01 Aug 2015 10:25:23 +0200

=== debian/control ===
Source: vcr.py
Section: python
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 pandoc,
 python-all,
 python-setuptools,
 python-six (>= 1.5),
 python-wrapt,
 python-yaml,
 python-contextlib2,
 python-mock,
 python-pytest,
 python-pytest-localserver,
 python-urllib3,
 python-requests,
 python-httplib2,
 python-tornado,
 python-pytest-tornado,
 python3-all,
 python3-setuptools,
 python3-six (>= 1.5),
 python3-wrapt,
 python3-yaml,
 python3-contextlib2,
 python3-mock,
 python3-pytest,
 python3-pytest-localserver,
 python3-urllib3,
 python3-requests,
 python3-httplib2,
 python3-tornado,
 python3-pytest-tornado
Standards-Version: 3.9.6
Homepage: https://github.com/kevin1024/vcrpy/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/vcr.py.git
Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/vcr.py.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Testsuite: autopkgtest

Package: python-vcr
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends}
Description: record and replay HTML interactions (Python library)
 vcr.py records all interactions that take place through the HTML libraries
 it supports and writes them to flat files, called cassettes (YAML format by
 default). These cassettes could be replayed then for fast, deterministic
 and accurate HTML testing.
 .
 vcr.py supports the following Python HTTP libraries:
  - urllib2 (stdlib)
  - urllib3
  - http.client (Python3 stdlib)
  - Requests
  - httplib2
  - Boto (interface to Amazon Web Services)
  - Tornado's HTTP client
 .
 This package contains the modules for Python 2.

Package: python3-vcr
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: record and replay HTML interactions (Python3 library)
 vcr.py records all interactions that take place through the HTML libraries
 it supports and writes them to flat files, called cassettes (YAML format by
 default). These cassettes could be replayed then for fast, deterministic
 and accurate HTML testing.
 .
 vcr.py supports the following Python HTTP libraries:
  - urllib2 (stdlib)
  - urllib3
  - http.client (Python3 stdlib)
  - Requests
  - httplib2
  - Boto (interface to Amazon Web Services)
  - Tornado's HTTP client
 .
 This package contains the modules for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=vcr

export http_proxy=
export https_proxy=

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (~nd,$(findstring ~nd,$(DEB_VERSION)))
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x -rs" dh_auto_test
endif
# don't run tests on Debian because they currently need net connection, cf. #795940
# but run them on Neurodebian by request of the sponsor

override_dh_installdocs:
	pandoc -f rst -t plain -o .pybuild/README README.rst
	dh_installdocs -A .pybuild/README

override_dh_installchangelogs:
	sed -n '/'Changelog'/,/'0.0.1'/p' .pybuild/README > .pybuild/changelog
	dh_installchangelogs -A .pybuild/changelog

=== debian/tests/control ===
Tests: python-vcr
Depends: python-all, python-six, python-wrapt, python-yaml, python-contextlib2, python-mock, python-pytest, python-pytest-localserver, python-urllib3, python-requests, python-httplib2, python-tornado, python-pytest-tornado

Tests: python3-vcr
Depends: python3-all, python3-six, python3-wrapt, python3-yaml, python3-contextlib2, python3-mock, python3-pytest, python3-pytest-localserver, python3-urllib3, python3-requests, python3-httplib2, python3-tornado, python3-pytest-tornado

## vcr.py 1.10.0

=== debian/changelog ===
vcr.py (1.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Build python-vcr-doc.
  * debian/clean
    - Clean egg-info to make the package build twice in a row.
  * debian/control
    - Remove Daniel Stender and add myself as uploader. (Closes: #816592)
      Thanks to Daniel for his past work!
    - Add python{,3}-pytest-httpbin, python-sphinx and python-sphinx-rtd-theme
      to Build-Depends.
    - Add stanza for python-vcr-doc.
  * debian/copyright
    - Add myself as copyright holder for debian directory.
  * debian/patches/remove-privacy-breach.patch
    - Remove privacy breach URLs.
  * debian/python-vcr-doc.doc-base
    - Add doc base registration.
  * debian/python-vcr.pyremove
    - Remove from Python2 package a module using Python3 syntax.
  * debian/rules
    - Update changelog creation.
    - Build sphinx documentation.
  * debian/tests/control
    - Wrap and sort Depends.
    - Add python{,3}-pytest-httpbin to Depends.
    - Remove python{,3}-pytest-tornado, python{,3}-requests,
      python{,3}-tornado and python{,3}-urllib3 from Depends to skip tests
      needing Internet connection.

 -- Daniele Tricoli <eriol@mornie.org>  Sun, 04 Sep 2016 23:24:54 +0200

vcr.py (1.7.3-2) unstable; urgency=medium

  * deb/control:
    + put team into Maintainer field (for unconfirmed team uploads).
    + updated uploader email address.
    + bumped standards to 3.9.8 (no changes needed).
    + removed Testsuite field (deprecated).
  * deb/copyright: updated.
  * Put repo under git-dpm regime:
    + added deb/.git-dpm.
    + removed deb/gbp.conf.

    [ Ondřej Nový ]
  * Fixed VCS URL (https).

 -- Daniel Stender <stender@debian.org>  Sat, 25 Jun 2016 19:54:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,48 +1,50 @@
 Source: vcr.py
 Section: python
 Priority: optional
-Maintainer: Daniel Stender <debian@danielstender.com>
-Uploaders:
- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Daniele Tricoli <eriol@mornie.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
  pandoc,
  python-all,
+ python-contextlib2,
+ python-httplib2,
+ python-mock,
+ python-pytest,
+ python-pytest-httpbin,
+ python-pytest-localserver,
+ python-pytest-tornado,
+ python-requests,
  python-setuptools,
  python-six (>= 1.5),
+ python-sphinx (>= 1.3),
+ python-sphinx-rtd-theme,
+ python-tornado,
+ python-urllib3,
  python-wrapt,
  python-yaml,
- python-contextlib2,
- python-mock,
- python-pytest,
- python-pytest-localserver,
- python-urllib3,
- python-requests,
- python-httplib2,
- python-tornado,
- python-pytest-tornado,
  python3-all,
+ python3-contextlib2,
+ python3-httplib2,
+ python3-mock,
+ python3-pytest,
+ python3-pytest-httpbin,
+ python3-pytest-localserver,
+ python3-pytest-tornado,
+ python3-requests,
  python3-setuptools,
  python3-six (>= 1.5),
+ python3-tornado,
+ python3-urllib3,
  python3-wrapt,
- python3-yaml,
- python3-contextlib2,
- python3-mock,
- python3-pytest,
- python3-pytest-localserver,
- python3-urllib3,
- python3-requests,
- python3-httplib2,
- python3-tornado,
- python3-pytest-tornado
-Standards-Version: 3.9.6
+ python3-yaml
+Standards-Version: 3.9.8
 Homepage: https://github.com/kevin1024/vcrpy/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/vcr.py.git
-Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/vcr.py.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/vcr.py.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/vcr.py.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
-Testsuite: autopkgtest
 
 Package: python-vcr
 Architecture: all
@@ -87,3 +89,26 @@
   - Tornado's HTTP client
  .
  This package contains the modules for Python 3.
+
+Package: python-vcr-doc
+Section: doc
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends}
+Description: record and replay HTML interactions (Documentation)
+ vcr.py records all interactions that take place through the HTML libraries
+ it supports and writes them to flat files, called cassettes (YAML format by
+ default). These cassettes could be replayed then for fast, deterministic
+ and accurate HTML testing.
+ .
+ vcr.py supports the following Python HTTP libraries:
+  - urllib2 (stdlib)
+  - urllib3
+  - http.client (Python3 stdlib)
+  - Requests
+  - httplib2
+  - Boto (interface to Amazon Web Services)
+  - Tornado's HTTP client
+ .
+ This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
-#export DEB_BUILD_OPTIONS=nocheck
+
 export PYBUILD_NAME=vcr
 
 export http_proxy=
@@ -8,8 +8,12 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
+LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
+BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
+
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (~nd,$(findstring ~nd,$(DEB_VERSION)))
@@ -23,5 +27,12 @@
 	dh_installdocs -A .pybuild/README
 
 override_dh_installchangelogs:
-	sed -n '/'Changelog'/,/'0.0.1'/p' .pybuild/README > .pybuild/changelog
+	pandoc -f rst -t plain -o .pybuild/changelog docs/changelog.rst
 	dh_installchangelogs -A .pybuild/changelog
+
+override_dh_sphinxdoc:
+ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=. sphinx-build $(SPHINXOPTS) -N -bhtml docs/ \
+		debian/python-vcr-doc/usr/share/doc/python-vcr-doc/html/
+	dh_sphinxdoc
+endif

## vcr.py 1.11.1

=== debian/changelog ===
vcr.py (1.11.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 4.1.0 (no changes needed).
    - Use Python 3 Sphinx documentation generator.
  * debian/copyright
    - Update copyright years.
  * debian/python-vcr.pyremove
    - Remove _handle_coroutine.py module from Python 2 build since it's a
      Python 3 module.
  * debian/rules
    - Replace usage of dpkg-parsechangelog with $SOURCE_DATE_EPOCH.
  * debian/tests/python3-vcr
    - Exclude TLS failing tests.

 -- Daniele Tricoli <eriol@mornie.org>  Sat, 23 Sep 2017 03:28:42 +0200

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,6 @@
  python-requests,
  python-setuptools,
  python-six (>= 1.5),
- python-sphinx (>= 1.3),
- python-sphinx-rtd-theme,
  python-tornado,
  python-urllib3,
  python-wrapt,
@@ -35,11 +33,13 @@
  python3-requests,
  python3-setuptools,
  python3-six (>= 1.5),
+ python3-sphinx (>= 1.3),
+ python3-sphinx-rtd-theme,
  python3-tornado,
  python3-urllib3,
  python3-wrapt,
  python3-yaml
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/kevin1024/vcrpy/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/vcr.py.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/vcr.py.git

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
-BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
 SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
 %:

=== debian/tests/control ===
Tests: python-vcr
Depends:
 python-all,
 python-contextlib2,
 python-httplib2,
 python-mock,
 python-pytest,
 python-pytest-httpbin,
 python-pytest-localserver,
 python-six,
 python-wrapt,
 python-yaml

Tests: python3-vcr
Depends:
 python3-all,
 python3-contextlib2,
 python3-httplib2,
 python3-mock,
 python3-pytest,
 python3-pytest-httpbin,
 python3-pytest-localserver,
 python3-six,
 python3-wrapt,
 python3-yaml

## vcr.py 2.0.1

=== debian/changelog ===
vcr.py (2.0.1-4) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Rename d/tests/control.autodep8 to d/tests/control.
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 21 Aug 2019 23:22:01 +0500

vcr.py (2.0.1-3) unstable; urgency=medium

  * Team upload
  * Let autodep8 generate a plain import autopkgtest for python2/python3
  * Add missing runtime dependency on python-contextlib2 and python-mock
  * Make sure autopkgtests test the installed version of vcr

 -- Nicolas Dandrimont <olasd@debian.org>  Fri, 09 Nov 2018 11:28:15 +0100

vcr.py (2.0.1-2) unstable; urgency=medium

  * Team upload
  * d/patches:
    The patch I designed in previous release is broken by design as it can
    trigger python2.7 syntax error. Replace it by a balanced solution that
    shouldn't pose such issue. (Closes: #911064)

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 17 Oct 2018 22:09:54 +0200

vcr.py (2.0.1-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Pierre-Elliott Bécue ]
  * New upstream release: 2.0.1 (Closes: #903989)
  * d/control:
    - Bump Standards-Version to 4.2.1. No change required
    - Raise dh compat to 11
  * d/tests/control:
    - Add tornado as test dependencies to improve the coverage
  * d/patches:
    - Add patch 0002 to fix python3.7 issues in the code (and in testing) as
      PEP479 is now enabled. The patch relies on the proper use of yield from
      in python3 >= 3.5 and upstream's code otherwise.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 14 Oct 2018 13:55:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,32 +4,20 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Daniele Tricoli <eriol@mornie.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 11),
  dh-python,
  pandoc,
- python-all,
- python-contextlib2,
- python-httplib2,
- python-mock,
- python-pytest,
- python-pytest-httpbin,
- python-pytest-localserver,
- python-pytest-tornado,
- python-requests,
- python-setuptools,
- python-six (>= 1.5),
- python-tornado,
- python-urllib3,
- python-wrapt,
- python-yaml,
  python3-all,
+ python3-aiohttp,
+ python3-boto,
+ python3-boto3,
  python3-contextlib2,
  python3-httplib2,
- python3-mock,
  python3-pytest,
  python3-pytest-httpbin,
  python3-pytest-localserver,
  python3-pytest-tornado,
+ python3-mock,
  python3-requests,
  python3-setuptools,
  python3-six (>= 1.5),
@@ -38,35 +26,13 @@
  python3-tornado,
  python3-urllib3,
  python3-wrapt,
- python3-yaml
-Standards-Version: 4.1.0
+ python3-yaml,
+ python3-yarl,
+Standards-Version: 4.2.1
+Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/kevin1024/vcrpy/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/vcr.py.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/vcr.py.git
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.3
-
-Package: python-vcr
-Architecture: all
-Depends:
- ${misc:Depends},
- ${python:Depends}
-Description: record and replay HTML interactions (Python library)
- vcr.py records all interactions that take place through the HTML libraries
- it supports and writes them to flat files, called cassettes (YAML format by
- default). These cassettes could be replayed then for fast, deterministic
- and accurate HTML testing.
- .
- vcr.py supports the following Python HTTP libraries:
-  - urllib2 (stdlib)
-  - urllib3
-  - http.client (Python3 stdlib)
-  - Requests
-  - httplib2
-  - Boto (interface to Amazon Web Services)
-  - Tornado's HTTP client
- .
- This package contains the modules for Python 2.
+Vcs-Git: https://salsa.debian.org/python-team/modules/vcr.py.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/vcr.py
 
 Package: python3-vcr
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (~nd,$(findstring ~nd,$(DEB_VERSION)))
@@ -31,7 +31,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build $(SPHINXOPTS) -N -bhtml docs/ \
+	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -N -bhtml docs/ \
 		debian/python-vcr-doc/usr/share/doc/python-vcr-doc/html/
 	dh_sphinxdoc
 endif

## vcr.py 4.0.2

=== debian/changelog ===
vcr.py (4.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh all patches.
  * Add gbp configuration.
  * Use my debian.org email.
  * debian/control
    - Bump debhelper compat to 12.
    - Bump Standards-Version to 4.4.1 (no changes needed).
    - Don't depend on boto, only on boto3.
    - Set Rules-Requires-Root: no
  * debian/copyright
    - Update copyright years.
  * debian/rules
    - Remove the zero byte file in doc directory.
  * debian/upstream/metadata
    - Set upstream metadata fields: Repository, Repository-Browse. Thanks to
      Debian Janitor Project for the patch.

 -- Daniele Tricoli <eriol@debian.org>  Sun, 22 Dec 2019 14:48:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Daniele Tricoli <eriol@mornie.org>
+Uploaders: Daniele Tricoli <eriol@debian.org>
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  dh-python,
  pandoc,
  python3-all,
  python3-aiohttp,
- python3-boto,
  python3-boto3,
  python3-contextlib2,
  python3-httplib2,
@@ -28,11 +27,12 @@
  python3-wrapt,
  python3-yaml,
  python3-yarl,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/kevin1024/vcrpy/
 Vcs-Git: https://salsa.debian.org/python-team/modules/vcr.py.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/vcr.py
+Rules-Requires-Root: no
 
 Package: python3-vcr
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -33,5 +33,9 @@
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -N -bhtml docs/ \
 		debian/python-vcr-doc/usr/share/doc/python-vcr-doc/html/
+
+	# Remove the zero byte file in doc directory.
+	rm debian/python-vcr-doc/usr/share/doc/python-vcr-doc/html/.nojekyll
+
 	dh_sphinxdoc
 endif

=== debian/tests/control ===
Tests: python3-vcr
Depends:
 python3-all,
 python3-vcr,
 python3-pytest,
 python3-pytest-httpbin,
 python3-pytest-localserver,
 python3-pytest-tornado

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?v(\d[\d\.]+)\.tar\.gz/vcr.py-$1.tar.gz/" \
https://github.com/kevin1024/vcrpy/releases (?:.*/)?v(\d[\d\.]+)\.tar\.gz
# Github better, ships w/o eggs

## vcr.py 4.1.1

=== debian/changelog ===
vcr.py (4.1.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Daniele Tricoli ]
  * New upstream version 4.1.1
  * Refresh patches.
  * Enable salsa pipelines.
  * debian/copyright
    - Update copyright years.
  * debian/control
    - Bump debhelper compat to 13.
    - Bump standards version to 4.6.0, no changes needed.
  * debian/tests/python3-vcr
    - Fix runtime-test-file-uses-installed-python-versions.
    - Disable test_unsupported_features_raise_error_disabled and
      test_cannot_overwrite_cassette_raise_error_disabled tests.
  * debian/rules
    - Make build not to vary with the locale.


 -- Daniele Tricoli <eriol@debian.org>  Sun, 20 Mar 2022 22:44:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: vcr.py
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Daniele Tricoli <eriol@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  pandoc,
  python3-all,
@@ -27,11 +27,11 @@
  python3-wrapt,
  python3-yaml,
  python3-yarl,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/kevin1024/vcrpy/
-Vcs-Git: https://salsa.debian.org/python-team/modules/vcr.py.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/vcr.py
+Vcs-Git: https://salsa.debian.org/python-team/packages/vcr.py.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/vcr.py
 Rules-Requires-Root: no
 
 Package: python3-vcr

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
 SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
+export LC_ALL=C.UTF-8
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*\/)?v(\d[\d\.]+)\.tar\.gz/vcr.py-$1.tar.gz/" \
https://github.com/kevin1024/vcrpy/releases (?:.*/)?v(\d[\d\.]+)\.tar\.gz
# Github better, ships w/o eggs

## vcr.py 4.2.1

=== debian/changelog ===
vcr.py (4.2.1-1) unstable; urgency=medium

  * Team upload.
  * Update d/watch to use /tags
  * New upstream version 4.2.1
  * Drop Python 2 compat patch
  * Use dh-sequence-*
  * Enable tests and switch to autopkgtest-pkg-pybuild (Closes: #801343)
  * Move package description to source package
  * Drop salsa-ci.yml
  * Add Multi-Arch according to MA hinter
  * Drop unused build dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Dec 2022 19:30:20 +0100

vcr.py (4.1.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-six and
      python3-sphinx.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 01:17:25 +0100

=== debian/control ===
Source: vcr.py
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Daniele Tricoli <eriol@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pandoc,
 python3-all,
 python3-aiohttp,
 python3-boto3,
 python3-httplib2,
 python3-pytest,
 python3-pytest-httpbin,
 python3-pytest-tornado,
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-tornado,
 python3-urllib3,
 python3-wrapt,
 python3-yaml,
 python3-yarl,
Standards-Version: 4.6.1
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/kevin1024/vcrpy/
Vcs-Git: https://salsa.debian.org/python-team/packages/vcr.py.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/vcr.py
Rules-Requires-Root: no
Description: record and replay HTML interactions
 vcr.py records all interactions that take place through the HTML libraries
 it supports and writes them to flat files, called cassettes (YAML format by
 default). These cassettes could be replayed then for fast, deterministic
 and accurate HTML testing.
 .
 vcr.py supports the following Python HTTP libraries:
  - urllib2 (stdlib)
  - urllib3
  - http.client (Python3 stdlib)
  - Requests
  - httplib2
  - Boto (interface to Amazon Web Services)
  - Tornado's HTTP client

Package: python3-vcr
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description} (Python 3 library)
 .
 This package contains the modules for Python 3.

Package: python-vcr-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Description: ${source:Synopsis} (Documentation)
 ${source:Extended-Description}
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=vcr
+export PYBUILD_TEST_ARGS=--ignore tests/integration/test_aiohttp.py --ignore tests/integration/test_tornado.py --ignore tests/integration/test_requests.py -m "not online"
 
 export http_proxy=
 export https_proxy=
@@ -13,14 +14,7 @@
 export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
-
-override_dh_auto_test:
-ifeq (~nd,$(findstring ~nd,$(DEB_VERSION)))
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x -rs" dh_auto_test
-endif
-# don't run tests on Debian because they currently need net connection, cf. #795940
-# but run them on Neurodebian by request of the sponsor
+	dh $@ --buildsystem=pybuild
 
 override_dh_installdocs:
 	pandoc -f rst -t plain -o .pybuild/README README.rst

## vcr.py 5.1.0

=== docs/requirements.txt ===
sphinx<8
sphinx_rtd_theme==1.2.2

=== debian/changelog ===
vcr.py (5.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Pull patches from upstream for Python 3.12. Closes: #1059990.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Jan 2024 03:32:30 +0100

vcr.py (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0
  * debian/patches/0002-pytest.mark.online-tests-that-need-internet.patches
    - Remove since merged upstream.
  * debian/control
    - Bump standards version to 4.6.2, no changes needed.
  * debian/copyright
    - Update copyright years.
  * debian/rules
    - Exclude 2 tests failing due to httpbin 0.10.0.

 -- Daniele Tricoli <eriol@debian.org>  Fri, 22 Sep 2023 03:13:51 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  python3-wrapt,
  python3-yaml,
  python3-yarl,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/kevin1024/vcrpy/
 Vcs-Git: https://salsa.debian.org/python-team/packages/vcr.py.git

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,11 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=vcr
-export PYBUILD_TEST_ARGS=--ignore tests/integration/test_aiohttp.py --ignore tests/integration/test_tornado.py --ignore tests/integration/test_requests.py -m "not online"
+export PYBUILD_TEST_ARGS=--ignore tests/integration/test_aiohttp.py \
+    --ignore tests/integration/test_tornado.py \
+    --ignore tests/integration/test_requests.py \
+    -m "not online" \
+    -k "not test_basic_json_use and not test_load_cassette_with_custom_persister"
 
 export http_proxy=
 export https_proxy=

## vcr.py 6.0.1

=== docs/requirements.txt ===
sphinx<8
sphinx_rtd_theme==2.0.0

=== debian/changelog ===
vcr.py (6.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.0.1
  * Remove obsolete python3-six build dependency

 -- Alexandre Detiste <tchet@debian.org>  Thu, 13 Jun 2024 20:54:51 +0200

## vcr.py 6.0.2

=== debian/changelog ===
vcr.py (6.0.2-2) unstable; urgency=medium

  * Team upload.
  * Fix deprecated intersphinx_mapping format (closes: #1090175).

 -- Colin Watson <cjwatson@debian.org>  Tue, 17 Dec 2024 14:55:12 +0000

vcr.py (6.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Dec 2024 17:04:35 +0000

## vcr.py 7.0.0

=== docs/requirements.txt ===
sphinx<9
sphinx_rtd_theme==2.0.0

=== debian/changelog ===
vcr.py (7.0.0-2) unstable; urgency=medium

  * Team upload.
  * Skip flaky tests. Closes: #1087334.

 -- Santiago Vila <sanvila@debian.org>  Sun, 19 Jan 2025 17:10:00 +0100

vcr.py (7.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fixed missing version_string attribute when used with urllib3>=2.3.0
      (closes: #1093445).

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Jan 2025 14:51:25 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  python3-pytest-tornado,
  python3-requests,
  python3-setuptools,
- python3-six,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-tornado,

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,19 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
+
+TEST_EXCLUDE := not test_basic_json_use and not test_load_cassette_with_custom_persister
+# Bug #1087334
+TEST_EXCLUDE += and not test_post[http] and not test_post[https]
+TEST_EXCLUDE += and not test_body_consumed_once_stream
+TEST_EXCLUDE += and not test_body_consumed_once_iterator
+TEST_EXCLUDE += and not test_additional_matchers
 
 export PYBUILD_NAME=vcr
 export PYBUILD_TEST_ARGS=--ignore tests/integration/test_aiohttp.py \
     --ignore tests/integration/test_tornado.py \
     --ignore tests/integration/test_requests.py \
     -m "not online" \
-    -k "not test_basic_json_use and not test_load_cassette_with_custom_persister"
+    -k "$(TEST_EXCLUDE)"
 
 export http_proxy=
 export https_proxy=

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/kevin1024/vcrpy/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
# Github better, ships w/o eggs

## vcr.py 8.1.1

=== debian/changelog ===
vcr.py (8.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fix iscoroutinefunction deprecation warning on Python 3.14 (closes:
      #1123365).

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Jan 2026 12:12:28 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  pandoc,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-aiohttp,
  python3-boto3,

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,8 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-TEST_EXCLUDE := not test_basic_json_use and not test_load_cassette_with_custom_persister
 # Bug #1087334
-TEST_EXCLUDE += and not test_post[http] and not test_post[https]
+TEST_EXCLUDE := not test_post[http] and not test_post[https]
 TEST_EXCLUDE += and not test_body_consumed_once_stream
 TEST_EXCLUDE += and not test_body_consumed_once_iterator
 TEST_EXCLUDE += and not test_additional_matchers
@@ -14,6 +13,7 @@
     --ignore tests/integration/test_requests.py \
     -m "not online" \
     -k "$(TEST_EXCLUDE)"
+export REQUESTS_CA_BUNDLE=$(shell python3 -m pytest_httpbin.certs)
 
 export http_proxy=
 export https_proxy=
